Main Page | Class Hierarchy | Class List | Directories | File List | Class Members

# RM Class Reference

`#include <rm.h>`

List of all members.

## Static Public Member Functions
static QStringList | getRecipeContaining (dicoRecipe dico, QStringList names, bool all)
| return the recipes containing the liquidElement's specified
static QStringList | getRecipeContaining (dicoRecipe dico, QStringList names, QStringList namesWithout, bool all)
| return the recipes containing the liquidElement's specified wihtout
static QStringList | toStringList (setRecipe recipes)
static QStringList | getListOfElementsName (QMap< QString, setRecipe > *dicoFind)

## Detailed Description

The Recipe Manager (RM) static class is used for various operation on the recipe such as the search of cocktail using a dico, obtaining a list of names...

Author:
  Bertrand Haut

## Member Function Documentation

QStringList RM::getListOfElementsName | ( | QMap< QString, setRecipe > * | dicoFind | ) | `[static]`

| return the list of the entries of a dicoRecipe

QStringList RM::getRecipeContaining | ( | dicoRecipe | dico,
|  | QStringList | names,
|  | QStringList | namesWithout,
|  | bool | all
| ) | `[static]`

| return the recipes containing the liquidElement's specified wihtout return the recipes containing the liquidElement specified in the QStringList names using the dicoRecipe dico and none of the liquidElement specified in namesWithout all = true -> all the liquidElement must be in the recipes all = false -> only one of the liquidElement mut be in the recipes

QStringList RM::getRecipeContaining | ( | dicoRecipe | dico,
|  | QStringList | names,
|  | bool | all
| ) | `[static]`

| return the recipes containing the liquidElement's specified return the recipes containing the liquidElement specified in the QStringList names using the dicoRecipe dico all = true -> all the liquidElement must be in the recipes all = false -> only one of the liquidElement mut be in the recipes

QStringList RM::toStringList | ( | setRecipe | recipes | ) | `[static]`

| convert a setRecipe into a QStringList of their name

The documentation for this class was generated from the following files:

- code/cocktail/src/rm.h
- code/cocktail/src/rm.cpp